/*
 * Copyright (C) 2000, Luca Padovani <luca.padovani@cs.unibo.it>.
 * 
 * This file is part of GtkMathView, a Gtk widget for MathML.
 * 
 * GtkMathView is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * GtkMathView is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with GtkMathView; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * For details, see the GtkMathView World-Wide-Web page,
 * http://cs.unibo.it/~lpadovan/mml-widget, or send a mail to
 * <luca.padovani@cs.unibo.it>
 */

#ifndef CCInterface_h
#define CCInterface_h

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "gtkmathview.h"

#ifdef __cplusplus
extern "C" {
#endif

  typedef struct _CCInterface CCInterface;

  void     init_global_data(void);

  CCInterface* create_interface(GtkMathView*);
  void     destroy_interface(CCInterface*);

  gboolean load_document(CCInterface*, const gchar*);
  void     setup_document(CCInterface*);
  void     unload_document(CCInterface*);
  void     dump_document(CCInterface*);
  void     layout_document(CCInterface*, gint);
  void     render_document(CCInterface*, gint, gint, gint, gint);
  gint     get_document_width(CCInterface*);
  gint     get_document_height(CCInterface*);
  void     set_selection_first(CCInterface*, gint, gint);
  void     set_selection_last(CCInterface*, gint, gint);
  const gchar* get_hyperlink(CCInterface*, gint, gint);
  const gchar* get_selection(CCInterface*);
  void     reset_selection(CCInterface*);
  void     set_font_size(CCInterface*, guint);
  gboolean is_on_link(CCInterface*, gint, gint);

#ifdef __cplusplus
}
#endif

#endif
